export declare class pTokensNodeProvider {
    private _url;
    /**
     * Create and initialize a pTokensNodeProvider object.
     * @param _url - The URL of a pNetwork node running pNetwork webserver v3.
     */
    constructor(_url: string);
    /**
     * The URL set when creating the object.
     */
    get url(): string;
    /**
     * Send a RPC request to the pNetwork webserver.
     * @param _reqId - The request ID.
     * @param _method - The RPC method to be called.
     * @param _params - Optional parameters that will be passed to the RPC method.
     * @returns A Promise that resolves with the result of the JSON response.
     */
    sendRpcRequest<T>(_reqId: number, _method: string, _params: any[]): Promise<T>;
}
